<?php

class UnsyncedProductInBundleException extends \Exception
{
    public function __construct(array $unsyncedProducts)
    {
        $plural = '';
        if (count($unsyncedProducts) > 1) {
            $plural = 's';
        }
        $s = implode(',', $unsyncedProducts);
        $this->message = __("Product$plural $s in bundle must be syncronized.", 'frisbo');
    }
}
