<?php

namespace Frisbo\WooCommerce;

class FrisboDebugger
{
    public static function ff($e)
    {
        var_dump($e);
        echo PHP_EOL;
        die();
    }

    public static function aff($e)
    {
        \wp_send_json_error(json_encode($e));
    }

    public static function lff($e)
    {
        \Frisbo\WooCommerce\Frisbo::instance()->logger->log('info', json_encode($e));
    }

    public static function write_log($log)
    {
        if (true === WP_DEBUG) {
            if (is_array($log) || is_object($log)) {
                error_log(print_r($log, true));
            } else {
                error_log($log);
            }
        }
    }
}
